Package fr.gouv.vitam.common.client

# Class TestVitamClientFactory<T extends BasicClient>

java.lang.Object
fr.gouv.vitam.common.client.VitamClientFactory<T>
fr.gouv.vitam.common.client.TestVitamClientFactory<T>

Type Parameters:
  `T` - BasicClient class

All Implemented Interfaces:
  `VitamClientFactoryInterface<T>`

public class TestVitamClientFactory<T extends BasicClient> extends VitamClientFactory<T>
Default VitamClientFactory for Test purpose only

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface fr.gouv.vitam.common.client.VitamClientFactoryInterface

  `VitamClientFactoryInterface.VitamClientType`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `LOCALHOST`
  localhost

  ### Fields inherited from class fr.gouv.vitam.common.client.VitamClientFactory

  `clientConfiguration`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TestVitamClientFactory(int serverPort, String resourcePath)`
  `TestVitamClientFactory(int serverPort, String resourcePath, jakarta.ws.rs.client.Client client)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `getClient()`
  This method returns the correct Client adapted to the business case

  ### Methods inherited from class fr.gouv.vitam.common.client.VitamClientFactory

  `changeResourcePath, changeServerPort, disableUseAuthorizationFilter, enableUseAuthorizationFilter, getClientConfiguration, getDefaultConfigCient, getDefaultConfigCient, getHttpClient, getHttpClient, getResourcePath, getServiceUrl, getVitamClientType, getVitamThreadPoolExecutor, initialisation, isAllowGzipDecoded, isAllowGzipEncoded, resetConnections, resume, setGzipdecoded, setGzipEncoded, setVitamClientType, shutdown, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### LOCALHOST

    public static final String LOCALHOST
    localhost
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TestVitamClientFactory

    public TestVitamClientFactory(int serverPort, String resourcePath)
    Parameters:
      `serverPort` -
      `resourcePath` -

  - ### TestVitamClientFactory

    public TestVitamClientFactory(int serverPort, String resourcePath, jakarta.ws.rs.client.Client client)
    Parameters:
      `serverPort` -
      `resourcePath` -
      `client` -

- ## Method Details

  - ### getClient

    public T getClient()
    Description copied from interface: `VitamClientFactoryInterface`
    This method returns the correct Client adapted to the business case
    Returns:
      the Vitam client